# Resource Tagging ## List tagged resources `client.resourceTagging.list(ResourceTaggingListParamsparams, RequestOptionsoptions?): CursorPaginationAfter` **get** `/accounts/{account_id}/tags/resources` Lists all tagged resources for an account. ### Parameters - `params: ResourceTaggingListParams` - `account_id: string` Path param: Identifier. - `cursor?: string` Query param: Cursor for pagination. - `tag?: Array` Query param: Filter resources by tag criteria. This parameter can be repeated multiple times, with AND logic between parameters. Supported syntax: - **Key-only**: `tag=` - Resource must have the tag key (e.g., `tag=production`) - **Key-value**: `tag==` - Resource must have the tag with specific value (e.g., `tag=env=prod`) - **Multiple values (OR)**: `tag==,` - Resource must have tag with any of the values (e.g., `tag=env=prod,staging`) - **Negate key-only**: `tag=!` - Resource must not have the tag key (e.g., `tag=!archived`) - **Negate key-value**: `tag=!=` - Resource must not have the tag with specific value (e.g., `tag=region!=us-west-1`) Multiple tag parameters are combined with AND logic. - `type?: Array<"access_application" | "access_application_policy" | "access_group" | 24 more>` Query param: Filter by resource type. Can be repeated to filter by multiple types (OR logic). Example: ?type=zone&type=worker - `"access_application"` - `"access_application_policy"` - `"access_group"` - `"account"` - `"ai_gateway"` - `"alerting_policy"` - `"alerting_webhook"` - `"api_gateway_operation"` - `"cloudflared_tunnel"` - `"custom_certificate"` - `"custom_hostname"` - `"d1_database"` - `"dns_record"` - `"durable_object_namespace"` - `"gateway_list"` - `"gateway_rule"` - `"image"` - `"kv_namespace"` - `"managed_client_certificate"` - `"queue"` - `"r2_bucket"` - `"resource_share"` - `"stream_live_input"` - `"stream_video"` - `"worker"` - `"worker_version"` - `"zone"` ### Returns - `ResourceTaggingListResponse = ResourceTaggingTaggedResourceObjectAccessApplication | ResourceTaggingTaggedResourceObjectAccessApplicationPolicy | ResourceTaggingTaggedResourceObjectAccessGroup | 24 more` Response for access_application resources - `ResourceTaggingTaggedResourceObjectAccessApplication` Response for access_application resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_application"` - `"access_application"` - `ResourceTaggingTaggedResourceObjectAccessApplicationPolicy` Response for access_application_policy resources - `id: string` Identifies the unique resource. - `access_application_id: string` Access application ID is required only for access_application_policy resources - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_application_policy"` - `"access_application_policy"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectAccessGroup` Response for access_group resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_group"` - `"access_group"` - `ResourceTaggingTaggedResourceObjectAccount` Response for account resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "account"` - `"account"` - `ResourceTaggingTaggedResourceObjectAIGateway` Response for ai_gateway resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "ai_gateway"` - `"ai_gateway"` - `ResourceTaggingTaggedResourceObjectAlertingPolicy` Response for alerting_policy resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "alerting_policy"` - `"alerting_policy"` - `ResourceTaggingTaggedResourceObjectAlertingWebhook` Response for alerting_webhook resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "alerting_webhook"` - `"alerting_webhook"` - `ResourceTaggingTaggedResourceObjectAPIGatewayOperation` Response for api_gateway_operation resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "api_gateway_operation"` - `"api_gateway_operation"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectCloudflaredTunnel` Response for cloudflared_tunnel resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "cloudflared_tunnel"` - `"cloudflared_tunnel"` - `ResourceTaggingTaggedResourceObjectCustomCertificate` Response for custom_certificate resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "custom_certificate"` - `"custom_certificate"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectCustomHostname` Response for custom_hostname resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "custom_hostname"` - `"custom_hostname"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectD1Database` Response for d1_database resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "d1_database"` - `"d1_database"` - `ResourceTaggingTaggedResourceObjectDNSRecord` Response for dns_record resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "dns_record"` - `"dns_record"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectDurableObjectNamespace` Response for durable_object_namespace resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "durable_object_namespace"` - `"durable_object_namespace"` - `ResourceTaggingTaggedResourceObjectGatewayList` Response for gateway_list resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "gateway_list"` - `"gateway_list"` - `ResourceTaggingTaggedResourceObjectGatewayRule` Response for gateway_rule resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "gateway_rule"` - `"gateway_rule"` - `ResourceTaggingTaggedResourceObjectImage` Response for image resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "image"` - `"image"` - `ResourceTaggingTaggedResourceObjectKVNamespace` Response for kv_namespace resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "kv_namespace"` - `"kv_namespace"` - `ResourceTaggingTaggedResourceObjectManagedClientCertificate` Response for managed_client_certificate resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "managed_client_certificate"` - `"managed_client_certificate"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectQueue` Response for queue resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "queue"` - `"queue"` - `ResourceTaggingTaggedResourceObjectR2Bucket` Response for r2_bucket resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "r2_bucket"` - `"r2_bucket"` - `ResourceTaggingTaggedResourceObjectResourceShare` Response for resource_share resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "resource_share"` - `"resource_share"` - `ResourceTaggingTaggedResourceObjectStreamLiveInput` Response for stream_live_input resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "stream_live_input"` - `"stream_live_input"` - `ResourceTaggingTaggedResourceObjectStreamVideo` Response for stream_video resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "stream_video"` - `"stream_video"` - `ResourceTaggingTaggedResourceObjectWorker` Response for worker resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "worker"` - `"worker"` - `ResourceTaggingTaggedResourceObjectWorkerVersion` Response for worker_version resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "worker_version"` - `"worker_version"` - `worker_id: string` Worker ID is required only for worker_version resources - `ResourceTaggingTaggedResourceObjectZone` Response for zone resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "zone"` - `"zone"` - `zone_id: string` Zone ID is required only for zone-level resources ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const resourceTaggingListResponse of client.resourceTagging.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(resourceTaggingListResponse); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "etag": "v1:RBNvo1WzZ4oRRq0W9-hkng", "name": "my-worker-script", "tags": { "environment": "production", "team": "engineering" }, "type": "access_application" } ], "result_info": { "count": 20, "cursor": "eyJhY2NvdW50X2lkIjoxMjM0NTY3ODkwfQ" } } ``` ## Domain Types ### Resource Tagging List Response - `ResourceTaggingListResponse = ResourceTaggingTaggedResourceObjectAccessApplication | ResourceTaggingTaggedResourceObjectAccessApplicationPolicy | ResourceTaggingTaggedResourceObjectAccessGroup | 24 more` Response for access_application resources - `ResourceTaggingTaggedResourceObjectAccessApplication` Response for access_application resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_application"` - `"access_application"` - `ResourceTaggingTaggedResourceObjectAccessApplicationPolicy` Response for access_application_policy resources - `id: string` Identifies the unique resource. - `access_application_id: string` Access application ID is required only for access_application_policy resources - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_application_policy"` - `"access_application_policy"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectAccessGroup` Response for access_group resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_group"` - `"access_group"` - `ResourceTaggingTaggedResourceObjectAccount` Response for account resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "account"` - `"account"` - `ResourceTaggingTaggedResourceObjectAIGateway` Response for ai_gateway resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "ai_gateway"` - `"ai_gateway"` - `ResourceTaggingTaggedResourceObjectAlertingPolicy` Response for alerting_policy resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "alerting_policy"` - `"alerting_policy"` - `ResourceTaggingTaggedResourceObjectAlertingWebhook` Response for alerting_webhook resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "alerting_webhook"` - `"alerting_webhook"` - `ResourceTaggingTaggedResourceObjectAPIGatewayOperation` Response for api_gateway_operation resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "api_gateway_operation"` - `"api_gateway_operation"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectCloudflaredTunnel` Response for cloudflared_tunnel resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "cloudflared_tunnel"` - `"cloudflared_tunnel"` - `ResourceTaggingTaggedResourceObjectCustomCertificate` Response for custom_certificate resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "custom_certificate"` - `"custom_certificate"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectCustomHostname` Response for custom_hostname resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "custom_hostname"` - `"custom_hostname"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectD1Database` Response for d1_database resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "d1_database"` - `"d1_database"` - `ResourceTaggingTaggedResourceObjectDNSRecord` Response for dns_record resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "dns_record"` - `"dns_record"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectDurableObjectNamespace` Response for durable_object_namespace resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "durable_object_namespace"` - `"durable_object_namespace"` - `ResourceTaggingTaggedResourceObjectGatewayList` Response for gateway_list resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "gateway_list"` - `"gateway_list"` - `ResourceTaggingTaggedResourceObjectGatewayRule` Response for gateway_rule resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "gateway_rule"` - `"gateway_rule"` - `ResourceTaggingTaggedResourceObjectImage` Response for image resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "image"` - `"image"` - `ResourceTaggingTaggedResourceObjectKVNamespace` Response for kv_namespace resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "kv_namespace"` - `"kv_namespace"` - `ResourceTaggingTaggedResourceObjectManagedClientCertificate` Response for managed_client_certificate resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "managed_client_certificate"` - `"managed_client_certificate"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectQueue` Response for queue resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "queue"` - `"queue"` - `ResourceTaggingTaggedResourceObjectR2Bucket` Response for r2_bucket resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "r2_bucket"` - `"r2_bucket"` - `ResourceTaggingTaggedResourceObjectResourceShare` Response for resource_share resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "resource_share"` - `"resource_share"` - `ResourceTaggingTaggedResourceObjectStreamLiveInput` Response for stream_live_input resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "stream_live_input"` - `"stream_live_input"` - `ResourceTaggingTaggedResourceObjectStreamVideo` Response for stream_video resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "stream_video"` - `"stream_video"` - `ResourceTaggingTaggedResourceObjectWorker` Response for worker resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "worker"` - `"worker"` - `ResourceTaggingTaggedResourceObjectWorkerVersion` Response for worker_version resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "worker_version"` - `"worker_version"` - `worker_id: string` Worker ID is required only for worker_version resources - `ResourceTaggingTaggedResourceObjectZone` Response for zone resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "zone"` - `"zone"` - `zone_id: string` Zone ID is required only for zone-level resources # Account Tags ## Get tags for an account-level resource `client.resourceTagging.accountTags.get(AccountTagGetParamsparams, RequestOptionsoptions?): AccountTagGetResponse` **get** `/accounts/{account_id}/tags` Retrieves tags for a specific account-level resource. ### Parameters - `params: AccountTagGetParams` - `account_id: string` Path param: Identifier. - `resource_id: string` Query param: The ID of the resource to retrieve tags for. - `resource_type: "access_application" | "access_group" | "account" | 17 more` Query param: The type of the resource. - `"access_application"` - `"access_group"` - `"account"` - `"ai_gateway"` - `"alerting_policy"` - `"alerting_webhook"` - `"cloudflared_tunnel"` - `"d1_database"` - `"durable_object_namespace"` - `"gateway_list"` - `"gateway_rule"` - `"image"` - `"kv_namespace"` - `"queue"` - `"r2_bucket"` - `"resource_share"` - `"stream_live_input"` - `"stream_video"` - `"worker"` - `"worker_version"` - `worker_id?: string` Query param: Worker identifier. Required for worker_version resources. ### Returns - `AccountTagGetResponse = ResourceTaggingTaggedResourceObjectAccessApplication | ResourceTaggingTaggedResourceObjectAccessApplicationPolicy | ResourceTaggingTaggedResourceObjectAccessGroup | 24 more` Response for access_application resources - `ResourceTaggingTaggedResourceObjectAccessApplication` Response for access_application resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_application"` - `"access_application"` - `ResourceTaggingTaggedResourceObjectAccessApplicationPolicy` Response for access_application_policy resources - `id: string` Identifies the unique resource. - `access_application_id: string` Access application ID is required only for access_application_policy resources - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_application_policy"` - `"access_application_policy"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectAccessGroup` Response for access_group resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_group"` - `"access_group"` - `ResourceTaggingTaggedResourceObjectAccount` Response for account resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "account"` - `"account"` - `ResourceTaggingTaggedResourceObjectAIGateway` Response for ai_gateway resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "ai_gateway"` - `"ai_gateway"` - `ResourceTaggingTaggedResourceObjectAlertingPolicy` Response for alerting_policy resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "alerting_policy"` - `"alerting_policy"` - `ResourceTaggingTaggedResourceObjectAlertingWebhook` Response for alerting_webhook resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "alerting_webhook"` - `"alerting_webhook"` - `ResourceTaggingTaggedResourceObjectAPIGatewayOperation` Response for api_gateway_operation resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "api_gateway_operation"` - `"api_gateway_operation"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectCloudflaredTunnel` Response for cloudflared_tunnel resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "cloudflared_tunnel"` - `"cloudflared_tunnel"` - `ResourceTaggingTaggedResourceObjectCustomCertificate` Response for custom_certificate resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "custom_certificate"` - `"custom_certificate"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectCustomHostname` Response for custom_hostname resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "custom_hostname"` - `"custom_hostname"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectD1Database` Response for d1_database resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "d1_database"` - `"d1_database"` - `ResourceTaggingTaggedResourceObjectDNSRecord` Response for dns_record resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "dns_record"` - `"dns_record"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectDurableObjectNamespace` Response for durable_object_namespace resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "durable_object_namespace"` - `"durable_object_namespace"` - `ResourceTaggingTaggedResourceObjectGatewayList` Response for gateway_list resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "gateway_list"` - `"gateway_list"` - `ResourceTaggingTaggedResourceObjectGatewayRule` Response for gateway_rule resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "gateway_rule"` - `"gateway_rule"` - `ResourceTaggingTaggedResourceObjectImage` Response for image resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "image"` - `"image"` - `ResourceTaggingTaggedResourceObjectKVNamespace` Response for kv_namespace resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "kv_namespace"` - `"kv_namespace"` - `ResourceTaggingTaggedResourceObjectManagedClientCertificate` Response for managed_client_certificate resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "managed_client_certificate"` - `"managed_client_certificate"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectQueue` Response for queue resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "queue"` - `"queue"` - `ResourceTaggingTaggedResourceObjectR2Bucket` Response for r2_bucket resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "r2_bucket"` - `"r2_bucket"` - `ResourceTaggingTaggedResourceObjectResourceShare` Response for resource_share resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "resource_share"` - `"resource_share"` - `ResourceTaggingTaggedResourceObjectStreamLiveInput` Response for stream_live_input resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "stream_live_input"` - `"stream_live_input"` - `ResourceTaggingTaggedResourceObjectStreamVideo` Response for stream_video resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "stream_video"` - `"stream_video"` - `ResourceTaggingTaggedResourceObjectWorker` Response for worker resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "worker"` - `"worker"` - `ResourceTaggingTaggedResourceObjectWorkerVersion` Response for worker_version resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "worker_version"` - `"worker_version"` - `worker_id: string` Worker ID is required only for worker_version resources - `ResourceTaggingTaggedResourceObjectZone` Response for zone resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "zone"` - `"zone"` - `zone_id: string` Zone ID is required only for zone-level resources ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const accountTag = await client.resourceTagging.accountTags.get({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', resource_id: '023e105f4ecef8ad9ca31a8372d0c353', resource_type: 'worker', }); console.log(accountTag); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "etag": "v1:RBNvo1WzZ4oRRq0W9-hkng", "name": "my-worker-script", "tags": { "environment": "production", "team": "engineering" }, "type": "access_application" } } ``` ## Set tags for an account-level resource `client.resourceTagging.accountTags.update(AccountTagUpdateParamsparams, RequestOptionsoptions?): AccountTagUpdateResponse` **put** `/accounts/{account_id}/tags` Creates or updates tags for a specific account-level resource. ### Parameters - `AccountTagUpdateParams = ResourceTaggingSetTagsRequestAccountLevelWorkerVersion | ResourceTaggingSetTagsRequestAccountLevelBase` - `AccountTagUpdateParamsBase` - `ResourceTaggingSetTagsRequestAccountLevelWorkerVersion extends AccountTagUpdateParamsBase` - `ResourceTaggingSetTagsRequestAccountLevelBase extends AccountTagUpdateParamsBase` ### Returns - `AccountTagUpdateResponse = ResourceTaggingTaggedResourceObjectAccessApplication | ResourceTaggingTaggedResourceObjectAccessApplicationPolicy | ResourceTaggingTaggedResourceObjectAccessGroup | 24 more` Response for access_application resources - `ResourceTaggingTaggedResourceObjectAccessApplication` Response for access_application resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_application"` - `"access_application"` - `ResourceTaggingTaggedResourceObjectAccessApplicationPolicy` Response for access_application_policy resources - `id: string` Identifies the unique resource. - `access_application_id: string` Access application ID is required only for access_application_policy resources - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_application_policy"` - `"access_application_policy"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectAccessGroup` Response for access_group resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_group"` - `"access_group"` - `ResourceTaggingTaggedResourceObjectAccount` Response for account resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "account"` - `"account"` - `ResourceTaggingTaggedResourceObjectAIGateway` Response for ai_gateway resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "ai_gateway"` - `"ai_gateway"` - `ResourceTaggingTaggedResourceObjectAlertingPolicy` Response for alerting_policy resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "alerting_policy"` - `"alerting_policy"` - `ResourceTaggingTaggedResourceObjectAlertingWebhook` Response for alerting_webhook resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "alerting_webhook"` - `"alerting_webhook"` - `ResourceTaggingTaggedResourceObjectAPIGatewayOperation` Response for api_gateway_operation resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "api_gateway_operation"` - `"api_gateway_operation"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectCloudflaredTunnel` Response for cloudflared_tunnel resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "cloudflared_tunnel"` - `"cloudflared_tunnel"` - `ResourceTaggingTaggedResourceObjectCustomCertificate` Response for custom_certificate resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "custom_certificate"` - `"custom_certificate"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectCustomHostname` Response for custom_hostname resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "custom_hostname"` - `"custom_hostname"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectD1Database` Response for d1_database resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "d1_database"` - `"d1_database"` - `ResourceTaggingTaggedResourceObjectDNSRecord` Response for dns_record resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "dns_record"` - `"dns_record"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectDurableObjectNamespace` Response for durable_object_namespace resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "durable_object_namespace"` - `"durable_object_namespace"` - `ResourceTaggingTaggedResourceObjectGatewayList` Response for gateway_list resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "gateway_list"` - `"gateway_list"` - `ResourceTaggingTaggedResourceObjectGatewayRule` Response for gateway_rule resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "gateway_rule"` - `"gateway_rule"` - `ResourceTaggingTaggedResourceObjectImage` Response for image resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "image"` - `"image"` - `ResourceTaggingTaggedResourceObjectKVNamespace` Response for kv_namespace resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "kv_namespace"` - `"kv_namespace"` - `ResourceTaggingTaggedResourceObjectManagedClientCertificate` Response for managed_client_certificate resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "managed_client_certificate"` - `"managed_client_certificate"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectQueue` Response for queue resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "queue"` - `"queue"` - `ResourceTaggingTaggedResourceObjectR2Bucket` Response for r2_bucket resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "r2_bucket"` - `"r2_bucket"` - `ResourceTaggingTaggedResourceObjectResourceShare` Response for resource_share resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "resource_share"` - `"resource_share"` - `ResourceTaggingTaggedResourceObjectStreamLiveInput` Response for stream_live_input resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "stream_live_input"` - `"stream_live_input"` - `ResourceTaggingTaggedResourceObjectStreamVideo` Response for stream_video resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "stream_video"` - `"stream_video"` - `ResourceTaggingTaggedResourceObjectWorker` Response for worker resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "worker"` - `"worker"` - `ResourceTaggingTaggedResourceObjectWorkerVersion` Response for worker_version resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "worker_version"` - `"worker_version"` - `worker_id: string` Worker ID is required only for worker_version resources - `ResourceTaggingTaggedResourceObjectZone` Response for zone resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "zone"` - `"zone"` - `zone_id: string` Zone ID is required only for zone-level resources ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const accountTag = await client.resourceTagging.accountTags.update({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', resource_id: '023e105f4ecef8ad9ca31a8372d0c353', resource_type: 'worker', worker_id: '3f72a691-44b3-4c11-8642-c18a88ddaa5e', }); console.log(accountTag); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "etag": "v1:RBNvo1WzZ4oRRq0W9-hkng", "name": "my-worker-script", "tags": { "environment": "production", "team": "engineering" }, "type": "access_application" } } ``` ## Delete tags from an account-level resource `client.resourceTagging.accountTags.delete(AccountTagDeleteParamsparams, RequestOptionsoptions?): void` **delete** `/accounts/{account_id}/tags` Removes all tags from a specific account-level resource. ### Parameters - `params: AccountTagDeleteParams` - `account_id: string` Path param: Identifier. - `ifMatch?: string` Header param: ETag value for optimistic concurrency control. When provided, the server will verify the current resource ETag matches before applying the write. Returns 412 Precondition Failed if the resource has been modified since the ETag was obtained. Omit this header for unconditional writes. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); await client.resourceTagging.accountTags.delete({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' }); ``` ## Domain Types ### Account Tag Get Response - `AccountTagGetResponse = ResourceTaggingTaggedResourceObjectAccessApplication | ResourceTaggingTaggedResourceObjectAccessApplicationPolicy | ResourceTaggingTaggedResourceObjectAccessGroup | 24 more` Response for access_application resources - `ResourceTaggingTaggedResourceObjectAccessApplication` Response for access_application resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_application"` - `"access_application"` - `ResourceTaggingTaggedResourceObjectAccessApplicationPolicy` Response for access_application_policy resources - `id: string` Identifies the unique resource. - `access_application_id: string` Access application ID is required only for access_application_policy resources - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_application_policy"` - `"access_application_policy"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectAccessGroup` Response for access_group resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_group"` - `"access_group"` - `ResourceTaggingTaggedResourceObjectAccount` Response for account resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "account"` - `"account"` - `ResourceTaggingTaggedResourceObjectAIGateway` Response for ai_gateway resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "ai_gateway"` - `"ai_gateway"` - `ResourceTaggingTaggedResourceObjectAlertingPolicy` Response for alerting_policy resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "alerting_policy"` - `"alerting_policy"` - `ResourceTaggingTaggedResourceObjectAlertingWebhook` Response for alerting_webhook resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "alerting_webhook"` - `"alerting_webhook"` - `ResourceTaggingTaggedResourceObjectAPIGatewayOperation` Response for api_gateway_operation resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "api_gateway_operation"` - `"api_gateway_operation"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectCloudflaredTunnel` Response for cloudflared_tunnel resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "cloudflared_tunnel"` - `"cloudflared_tunnel"` - `ResourceTaggingTaggedResourceObjectCustomCertificate` Response for custom_certificate resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "custom_certificate"` - `"custom_certificate"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectCustomHostname` Response for custom_hostname resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "custom_hostname"` - `"custom_hostname"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectD1Database` Response for d1_database resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "d1_database"` - `"d1_database"` - `ResourceTaggingTaggedResourceObjectDNSRecord` Response for dns_record resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "dns_record"` - `"dns_record"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectDurableObjectNamespace` Response for durable_object_namespace resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "durable_object_namespace"` - `"durable_object_namespace"` - `ResourceTaggingTaggedResourceObjectGatewayList` Response for gateway_list resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "gateway_list"` - `"gateway_list"` - `ResourceTaggingTaggedResourceObjectGatewayRule` Response for gateway_rule resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "gateway_rule"` - `"gateway_rule"` - `ResourceTaggingTaggedResourceObjectImage` Response for image resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "image"` - `"image"` - `ResourceTaggingTaggedResourceObjectKVNamespace` Response for kv_namespace resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "kv_namespace"` - `"kv_namespace"` - `ResourceTaggingTaggedResourceObjectManagedClientCertificate` Response for managed_client_certificate resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "managed_client_certificate"` - `"managed_client_certificate"` - `zone_id: string` Zone ID is required only for zone-level resources - `ResourceTaggingTaggedResourceObjectQueue` Response for queue resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "queue"` - `"queue"` - `ResourceTaggingTaggedResourceObjectR2Bucket` Response for r2_bucket resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "r2_bucket"` - `"r2_bucket"` - `ResourceTaggingTaggedResourceObjectResourceShare` Response for resource_share resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "resource_share"` - `"resource_share"` - `ResourceTaggingTaggedResourceObjectStreamLiveInput` Response for stream_live_input resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "stream_live_input"` - `"stream_live_input"` - `ResourceTaggingTaggedResourceObjectStreamVideo` Response for stream_video resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "stream_video"` - `"stream_video"` - `ResourceTaggingTaggedResourceObjectWorker` Response for worker resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "worker"` - `"worker"` - `ResourceTaggingTaggedResourceObjectWorkerVersion` Response for worker_version resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "worker_version"` - `"worker_version"` - `worker_id: string` Worker ID is required only for worker_version resources - `ResourceTaggingTaggedResourceObjectZone` Response for zone resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "zone"` - `"zone"` - `zone_id: string` Zone ID is required only for zone-level resources ### Account Tag Update Response - `AccountTagUpdateResponse = ResourceTaggingTaggedResourceObjectAccessApplication | ResourceTaggingTaggedResourceObjectAccessApplicationPolicy | ResourceTaggingTaggedResourceObjectAccessGroup | 24 more` Response for access_application resources - `ResourceTaggingTaggedResourceObjectAccessApplication` Response for access_application resources - `id: string` Identifies the unique resource. - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "access_application"` - `"access_application"` - `ResourceTaggingTaggedResourceObjectAccessApplicationPolicy` Response for access_application_policy resources - `id: string` Identifies the unique resource. - `access_application_id: string` Access application ID is required only for access_application_policy resources - `etag: string` ETag identifier for optimistic concurrency control. Formatted as "v1:" where the hash is the base64url-encoded SHA-256 (truncated to 128 bits) of the tags map canonicalized using RFC 8785 (JSON Canonicalization Scheme). Clients should treat ETags as opaque strings and pass them back via the If-Match header on write operations. - `name: string` Human-readable name of the resource. - `tags: Record` Contains key-value pairs of tags. - `type: "
[...]
